Bug 830398 - Review Request: lancet - A build tool like Ant or Rake
Review Request: lancet - A build tool like Ant or Rake
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 830396 (view as bug list)
Depends On:
Blocks: 830714 830784
  Show dependency treegraph
 
Reported: 2012-06-09 02:42 EDT by kushaldas@gmail.com
Modified: 2012-07-20 22:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Spec using Debian packaging scriptlet (2.50 KB, text/plain)
2012-06-11 21:47 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description kushaldas@gmail.com 2012-06-09 02:42:16 EDT
Spec URL: http://kushal.fedorapeople.org/packages/lancet.spec
SRPM URL: http://kushal.fedorapeople.org/packages/lancet-1.0.1-1.fc17.src.rpm
Description: Lancet is a build tool like Ant or Rake. Lancet makes it
easy to create build targets: any Clojure function can be
a build target. Lancet can call Ant tasks, or shell out 
and call other processes.
Fedora Account System Username: kushal
Comment 1 Susi Lehtola 2012-06-11 01:40:32 EDT
*** Bug 830396 has been marked as a duplicate of this bug. ***
Comment 2 Michel Alexandre Salim 2012-06-11 04:52:51 EDT
Hi Kushal,

- The %{project} macro does not seem to be used anywhere; perhaps you want to define vendor instead and set it to technomancy? That way you can use it in both archivename and URL

- The ant dependency should be version 1.7.1 or above, as per the project.clj and the generated POM file (also, please put a comment for Source1 indicating that we're generating the POM file using Leiningen (say # generated using Leiningen 1.7.1, since Leiningen is not packaged yet)

- Probably should use cp -p for %{SOURCE1} else the timestamp will be updated everytime the package is rebuilt

- In %build section, the 'install' should be outside of the %endif - otherwise your package won't build on EPEL because you didn't specify a Maven task (both mvn-jpp and mvn-rpmbuild will be invoked with the install target). Put a \ after mvn-rpmbuild instead to tell it to retrieve the next line

Everything else looks good - please update the package, and I'll try and do some functional tests against the next dependency in line and see if it works.
Comment 4 Michel Alexandre Salim 2012-06-11 21:47:30 EDT
Created attachment 591058 [details]
Spec using Debian packaging scriptlet

This spec switches the build system to simply using jar to package the source files as done in upstream's Debian branch.

Also added some missing dependencies.
Comment 6 Michel Alexandre Salim 2012-06-12 12:21:20 EDT
Hi Kushal,

The spec looks fine; APPROVED with some notes - see below (wrap the %clean section in %if 0%{?rhel}, and let's rename that vendor tag since fedora-review thought it was a field declaration for something the guidelines forbade...

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
     ==> we'll be targeting EPEL, this is fine but perhaps
         wrap this in %if 0%{?rhel} ... %endif
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Vendor: technomancy
     Argh, looks like we should call this something else then.
     This is really to filter out the Vendor: tag so it's a false positive.
     Let's switch to call it 'upstream' instead?
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
     Tested with Leiningen 1.7.1
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
     But we'll need to wait until Leiningen before we can run tests easily
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
     ==> we'll be targeting EPEL, this is fine but perhaps
         wrap this in %if 0%{?rhel} ... %endif
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
     
[!]: MUST Spec file lacks Packager, Vendor, PreReq tags.
     Note: Found : Vendor: technomancy
     ==> Argh, looks like we should call this something else then.
     	 This is really to filter out the Vendor: tag so it's a false
     	 positive.  Let's switch to call it 'upstream' instead?
See: None
[!]: SHOULD %check is present and all tests pass.
     But we'll need to wait until Leiningen before we can run tests easily


Generated by fedora-review 0.2.0git
External plugins:
Comment 7 Peter Lemenkov 2012-07-03 09:08:24 EDT
Ping, Kushal!
Comment 8 kushaldas@gmail.com 2012-07-03 10:24:06 EDT
New Package SCM Request
=======================
Package Name: lancet
Short Description: A build tool like Ant or Rake
Owners: kushal
Branches: el6 f16 f17
InitialCC:
Comment 9 Jon Ciesla 2012-07-03 10:44:47 EDT
Git done (by process-git-requests).
Comment 10 Peter Lemenkov 2012-07-07 01:22:09 EDT
Ping again!
Could you please build it at least for Rawhide - I'd like to review leiningen which is blocked by this package.
Comment 11 Kushal Das 2012-07-09 12:34:15 EDT
Sorry for the delay. I did the build on Saturday.
Comment 12 Fedora Update System 2012-07-12 01:32:15 EDT
lancet-1.0.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lancet-1.0.1-4.fc17
Comment 13 Fedora Update System 2012-07-12 01:32:26 EDT
lancet-1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lancet-1.0.1-4.fc16
Comment 14 Fedora Update System 2012-07-12 14:55:02 EDT
lancet-1.0.1-4.fc16 has been pushed to the Fedora 16 testing repository.
Comment 15 Fedora Update System 2012-07-20 22:54:47 EDT
lancet-1.0.1-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-07-20 22:56:00 EDT
lancet-1.0.1-4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.